#ifndef _Handle_PTopoDS_TSolid1_HeaderFile
#define _Handle_PTopoDS_TSolid1_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_TShape1_HeaderFile
#include <Handle_PTopoDS_TShape1.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_TShape1);
class PTopoDS_TSolid1;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PTopoDS_TSolid1);

class Handle(PTopoDS_TSolid1) : public Handle(PTopoDS_TShape1) {
  public:

    Handle(PTopoDS_TSolid1)():Handle(PTopoDS_TShape1)() {} 
    Handle(PTopoDS_TSolid1)(const Handle(PTopoDS_TSolid1)& aHandle) : Handle(PTopoDS_TShape1)(aHandle) 
     {
     }

    Handle(PTopoDS_TSolid1)(const PTopoDS_TSolid1* anItem) : Handle(PTopoDS_TShape1)((PTopoDS_TShape1 *)anItem) 
     {
     }

    Handle(PTopoDS_TSolid1)& operator=(const Handle(PTopoDS_TSolid1)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PTopoDS_TSolid1)& operator=(const PTopoDS_TSolid1* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PTopoDS_TSolid1* operator->() const 
     {
      return (PTopoDS_TSolid1 *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PTopoDS_TSolid1) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
